Manuel:WrapOldPasswords.php

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page Manual:WrapOldPasswords.php and the translation is 100% complete.
Other languages:
English • ‎español • ‎français • ‎português • ‎português do Brasil • ‎日本語

Détails

Le fichier wrapOldPasswords.php est un script de maintenance qui enveloppe tous les mots de passe d'un certain type dans un type de niveau spécifié venant entourer l'ancien type.

Depuis MediaWiki 1.24, si vous utilisez les paramètres par défaut, la valeur de hachage des mots de passe sera automatiquement mise à jour vers PBKDF2 dès que l'utilisateur se connectera. Il ne fonctionne pas actuellement. Si nécessaire, l'ancien hachage MD5 peut être restauré en initialisant $wgPasswordDefault à 'B'.

Ce script de maintenance peut envelopper tous les mots de passe en pbkdf2-legacyA ou pbkdf2-legacyB si vous ne voulez pas attendre que vos utilisateurs se connectent.

Utilisation

Option/paramètre Description
--type Type vers lequel vous voulez convertir. Il doit être l'un des types de couche de $wgPasswordConfig, et valoir soit pbkdf2-legacyA soit pbkdf2-legacyB.
--verbose Produit une sortie verbeuse pendant l'exécution.